/* ESP32_touch_test
 *  
 * Érintésérzékelési próba
 * A GPIO13 (T4) és a GPIO15 (T5) kivezetésekett 
 * használjuk érintésérzékelésre (csúszka). 
 * a kiolvasott adatokat a soros porton kiíratjuk.
 * 
 * Arduino 1.8.15 és ESP32 2.0.0 kiadással tesztelve
 */
#define TOUCH_PIN_1 T4
#define TOUCH_PIN_2 T5
  int touch_value1 = 40;
  int touch_value2 = 40; 
  
void setup() {
  Serial.begin(115200);
  delay(1000);
  Serial.println("Touch slider on T4 anfd T5");
}

void loop() {
  touch_value1 = (9*touch_value1 + touchRead(TOUCH_PIN_1))/10;
  touch_value2 = (9*touch_value2 + touchRead(TOUCH_PIN_2))/10; 
  Serial.print(touch_value1);
  Serial.print(" ");
  Serial.println(touch_value2);
  delay(50);
}
