/* ESP32_touch_test
 *  
 * Érintésérzékelési próba
 * A GPIO13 (T4) kivezetést használjuk érintésérzékelésre 
 * a kiolvasott adatokat a soros porton kiíratjuk.
 * 
 * Arduino 1.8.15 és ESP32 2.0.0 kiadással tesztelve
 */
#define TOUCH_PIN 13

void setup() {
  Serial.begin(115200);
  delay(1000);
  Serial.println("Testing the T4 (GPIO13) touch sensing input");
}

void loop() {
  int touch_value = touchRead(TOUCH_PIN);
  Serial.print("touch sensing value = ");
  Serial.println(touch_value);
  delay(1000);
}
